=== PKGBUILD ===
# Maintainer: Antonio Rojas <arojas@archlinux.org>

pkgname=systemdgenie
pkgver=0.99.0
pkgrel=6
pkgdesc='Systemd management utility'
arch=(x86_64)
url='https://invent.kde.org/system/systemdgenie'
license=(GPL)
depends=(gcc-libs
         glibc
         kauth5
         kconfigwidgets5
         kcoreaddons5
         kcrash5
         ki18n5
         kwidgetsaddons5
         kxmlgui5
         qt5-base
         systemd)
makedepends=(extra-cmake-modules)
source=(https://download.kde.org/unstable/$pkgname/$pkgname-$pkgver.tar.xz)
sha256sums=('22ebd9d6da7f03399603e21e3e21d69cbe87ec49695d12a15e9dda6b23703f25')

build() {
  cmake -B build -S $pkgname-$pkgver \
   -DBUILD_TESTING=OFF
  cmake --build build
}

package() {
  DESTDIR="$pkgdir" cmake --install build
}
